#include <math.h>
#include <conio.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define Skip		fgets(dummy,100,in)
#define read(x,y)	fscanf(in,"%"#y, &x);skip
#define pi			3.14159265358979324
#define iff(x,y)	if(strcmp(x,#y)==0)
#define PRINT		fprintf(file,"\n"
#define HI			"\t%10.6f"
#define LO			"\t%7.4f"
#define END			);
#define Readtext(x)		fgets(x,400,in); x[strlen(x)-1] = '\0'
#define Read(x,y)		{fscanf(in,"%"#y, &x);Skip;}

extern FILE *in;

FILE *in2;

extern char	plot_on, title[];

extern char	Case[], dummy[];

extern int	i, j, m, n, num, wave, ns, nstep, number,
				Points, Current_criterion, Ysteps, Surface_points,
            Nprofiles;

extern double
	c,ce,cs,ubar,Q,R,crit, Hoverd, MaxH, Height, Current, elevn, *Y, *z, H, L, T, d, dPHIdt,
	U, V, PHI, PSI, Pressure, Eta, surface(double), bottom, sum, top,	Delta;

void	Title_block(FILE*);

/**********************************************************************/
int Read_data(char Extra)
/**********************************************************************/
{
Readtext(title);
iff(title, FINISH) return(0);

Read(MaxH,lf);
Read(Case,s);
iff(Case,Wavelength)
	{
	Read(L,lf);
	Height = MaxH/L;
	}
iff(Case,Period)
	{
	Read(T,lf);
	Height = MaxH/(T*T);
	}
Read(Current_criterion,d);
Read(Current,lf);

Read(n,d);
Read(nstep,d);

if(Extra=='n') return(1);

// Convergence criteria

in2=fopen("Convergence.dat","r");
fgets(dummy,400,in2);
fscanf(in2,"%ld", &number);fgets(dummy,400,in2);
fscanf(in2,"%le", &crit);fgets(dummy,400,in2);
fclose(in2);

// Number of data points to present results for

in2 = fopen("Points.dat","r");
fgets(dummy,400,in2);
// Number of points on surface profile (clustered quadratically near crest)
fscanf(in2,"%ld", &Surface_points);fgets(dummy,400,in2);
// Number of vertical profiles
fscanf(in2,"%ld", &Nprofiles);fgets(dummy,400,in2);
// Number of points in each profile
fscanf(in2,"%ld", &Points);fgets(dummy,400,in2);

fclose(in2);

return(1);
}

//	PRINT OUT TITLE BLOCK

void Title_block(FILE* file)
{
fprintf(file,"%s", title);

fprintf(file,"\n\nHeight/Depth:%6.3f", Hoverd);
iff(Case,Wavelength)
	fprintf(file,"  Length/Depth:%7.2f", L);
iff(Case,Period)
	fprintf(file,"  Dimensionless Period:%7.2f", T);
fprintf(file,"\nCurrent criterion: %d  Magnitude:%5.2lf", Current_criterion,Current);
fprintf(file,"\n\nFourier Approximation: %2d terms in series", n);
}


