clc
clearvars -except Hs_vect WP_vect spec_vect x_axis
format short
[x,y,d,Hs_evolve]=textread('Hs_evolve_jonswap.tab',...
'%f %f %f %f ','headerlines',7);

[x,y,d,Hs_evolve2]=textread('Hs_evolve_measured.tab',...
'%f %f %f %f ','headerlines',7);

% [x,y,d,Hs_evolve]=textread('Hs_evolve_longcrest.tab',...
% '%f %f %f %f ','headerlines',7);
% 
% [x,y,d,Hs_evolve2]=textread('Hs_evolve_shortcrest.tab',...
% '%f %f %f %f ','headerlines',7);



Tp=11.25; %NOE RART MED DENNE, FINNER DEN IKKE I OUTPUT FRA SWAN!
x_axis2=zeros(0);
for i=1:length(d)
    
    lambda=9.81/(2*pi)*Tp^2;
    
    n=0;
    while abs(lambda-(9.81/(2*pi))*Tp^2*tanh(2*pi*d(i)/lambda))>0.000001;


        lambda=(9.81/(2*pi))*Tp^2*tanh(2*pi*d(i)/lambda);

    end
  
    x_axis2(i)=d(i)/lambda;
end







% % % figure(2)
% % % plot1=plot(x_axis,WP_vect);
% % % hold on
% % % 
% % % %'displayname',{'Test 1','Test 2','Test 3','Test 4','Test 5','Test 6','Test 7','Test 8','Test 9','Test 10'}
% % % plot(x_axis2,Hs_evolve./81,'LineWidth',1,'DisplayName','SWAN',...
% % %     'Color',[0 0 0])
% % % 
% % % 
% % % set(plot1(1),'Color',[1 0 0],'DisplayName','Test 1');
% % % set(plot1(2),'Color',[0 0 1],'DisplayName','Test 2');
% % % set(plot1(3),'Color',[0 0.498039215803146 0],'DisplayName','Test 3');
% % % set(plot1(4),'Color',[0 1 1],'DisplayName','Test 4');
% % % set(plot1(5),'Color',[1 0 1],'DisplayName','Test 5');
% % % set(plot1(6),'LineStyle','--','Color',[1 0 0],'DisplayName','Test 6');
% % % set(plot1(7),'LineStyle','--','Color',[0 0 1],'DisplayName','Test 7');
% % % set(plot1(8),'LineStyle','--','Color',[0 0.498039215803146 0],...
% % %     'DisplayName','Test 8');
% % % set(plot1(9),'LineStyle','--','Color',[0 1 1],'DisplayName','Test 9');
% % % set(plot1(10),'LineStyle','--','Color',[1 0 1],'DisplayName','Test 10');
% % % 
% % % 
% % % 
% % % 
% % % % xlim([0.06 0.39])
% % % % ylim([0 0.17])
% % % xlabel('d/\lambda_p [-]')
% % % ylabel('H_{m0} [m]')
% % % title('Significant wave height as function of dimensionless water depth [MODEL SCALE]')
% % % legend1 = legend('show');
% % % set(legend1,'Location','Best')
% % % hold off
% % % grid on
% % % 

figure(3)
mean2=mean(WP_vect');
plot(x_axis,mean2*81,'displayname','Mean from 10 tests')
hold on
plot(x_axis2,Hs_evolve,'r','DisplayName','SWAN - Jonswap input spectrum')
grid on
plot(x_axis2,Hs_evolve2,'g','DisplayName','SWAN - Measured input spectrum')
hold off
legend2 = legend('show');
set(legend2,'Location','NorthWest')
xlabel('d/\lambda_p [-]')
ylabel('H_{m0} [m]')
title('Significant wave height as function of dimensionless water depth [FULL SCALE]')
%ylim([0.1 0.17])


figure(4)
plot1=plot(x_axis,WP_vect.*81);
hold on

%'displayname',{'Test 1','Test 2','Test 3','Test 4','Test 5','Test 6','Test 7','Test 8','Test 9','Test 10'}
plot(x_axis2,Hs_evolve,'LineWidth',1,'DisplayName','SWAN - Jonswap input spectrum',...
    'Color',[0 0 0])
plot(x_axis2,Hs_evolve2,'LineWidth',1,'DisplayName','SWAN - Measured input spectrum',...
    'Color',[0 0 0],'LineStyle','--')

set(plot1(1),'Color',[1 0 0],'DisplayName','Test 1');
set(plot1(2),'Color',[0 0 1],'DisplayName','Test 2');
set(plot1(3),'Color',[0 0.498039215803146 0],'DisplayName','Test 3');
set(plot1(4),'Color',[0 1 1],'DisplayName','Test 4');
set(plot1(5),'Color',[1 0 1],'DisplayName','Test 5');
set(plot1(6),'LineStyle','--','Color',[1 0 0],'DisplayName','Test 6');
set(plot1(7),'LineStyle','--','Color',[0 0 1],'DisplayName','Test 7');
set(plot1(8),'LineStyle','--','Color',[0 0.498039215803146 0],...
    'DisplayName','Test 8');
set(plot1(9),'LineStyle','--','Color',[0 1 1],'DisplayName','Test 9');
set(plot1(10),'LineStyle','--','Color',[1 0 1],'DisplayName','Test 10');




% xlim([0.06 0.39])
% ylim([0 0.17])
xlabel('d/\lambda_p [-]')
ylabel('H_{m0} [m]')
title('Significant wave height as function of dimensionless water depth [FULL SCALE]')
legend1 = legend('show');
set(legend1,'Location','Best')
hold off
grid on

% 
% figure(3)
% mean2=mean(WP_vect');
% % plot(x_axis,mean2*81,'displayname','Mean from 10 tests (Long crested)')
% hold on
% plot(x_axis2,Hs_evolve,'r','DisplayName','SWAN - Long crested')
% plot(x_axis2,Hs_evolve2,'g','DisplayName','SWAN - Short Crested')
% hold off
% legend2 = legend('show');
% set(legend2,'Location','NorthWest')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('Significant wave height as function of dimensionless water depth')
% %ylim([0.1 0.17])
% xlim([0.034 0.35])
% 
% 
% figure(4)
% mean2=mean(WP_vect');
% % plot(x_axis,mean2*81,'displayname','Mean from 10 tests (Long crested)')
% hold on
% plot(d,Hs_evolve./d,'r','DisplayName','SWAN - Long crested')
% plot(d,Hs_evolve2./d,'g','DisplayName','SWAN - Short Crested')
% hold off
% legend2 = legend('show');
% set(legend2,'Location','NorthWest')
% xlabel('d')
% ylabel('H_{m0}/d')
% title('Significant wave height as function of dimensionless water depth')
% %ylim([0.1 0.17])
% hold off
% xlim([1.5 70])


