function [ mean_Hs, mean_lnTpgHs,std_lnTpgHs ] = mean_Hs_Tp( max_Hs,Hs,Tp )
average_Hs=zeros(1,(max_Hs*2));
avg_lnTpgHs=zeros(1,(max_Hs*2));
std_Tp=zeros(1,(max_Hs*2));
for j=0:(max_Hs*2-1)            %Looping through all Hs intervals
    
    [l]=find(Hs<=(0.5*j+0.5));  %Position of Hs less than 0.5*j+0.5
                                %in the Hs matrix
                                
    [m]=find(Hs<=0.5*j);        %Position of Hs less than 0.5*j
                                %in the Hs matrix
                                
    r=setdiff(l,m);             %Posiiton of the Hs' within the interval
                                

        if Hs(r)~=0;            %If there ARE ANY values of Hs within the
                                %interval (or else there is a zero value in 
                                %each matrix)

            average_Hs(j+1)=mean(Hs(r));        %Avg Hs in this interval
            
            avg_lnTpgHs(j+1)=mean(log(Tp(r)));  %Age Tp in this Hs interval
            std_Tp(j+1)=std(log(Tp(r)));        
        end
end
mean_Hs=average_Hs;
mean_lnTpgHs=avg_lnTpgHs;
std_lnTpgHs=std_Tp;
end

