clc
clearvars -except Hs_vect WP_vect spec_vect x_axis
format short

[~,~,d,Hs_evolve]=textread('Hs_evolve.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_no_refrac]=textread('Hs_evolve_no_refrac.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_no_break]=textread('Hs_evolve_no_break.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_with_setup]=textread('Hs_evolve_with_setup.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_no_wcap]=textread('Hs_evolve_no_wcap.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_no_fshift]=textread('Hs_evolve_no_fshift.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_no_triad]=textread('Hs_evolv_no_triad.tab',...
'%f %f %f %f ','headerlines',7);




%%
[~,~,d,Hs_evolve_all_off]=textread('Hs_evolve_all_off.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_break_on]=textread('Hs_evolve_break_on.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_friction_on]=textread('Hs_evolve_friction_on.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_triad_on]=textread('Hs_evolve_triad_on.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_fshift_on]=textread('Hs_evolve_fshift_on.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_wcapping_on]=textread('Hs_evolve_wcapping_on.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_refrac_on]=textread('Hs_evolve_refrac_on.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_default]=textread('Hs_evolve_default.tab',...
'%f %f %f %f ','headerlines',7);

%%
[~,~,d,Hs_evolve_default]=textread('Hs_evolve_default.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_wind_5]=textread('Hs_evolve_wind_5.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_wind_10]=textread('Hs_evolve_wind_10.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_wind_15]=textread('Hs_evolve_wind_15.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_wind_20]=textread('Hs_evolve_wind_20.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_wind_zero]=textread('Hs_evolve_wind_zero.tab',...
'%f %f %f %f ','headerlines',7);

%%
[~,~,~,Hs_evolve_nowind_quad]=textread('Hs_evolve_nowind_quad.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_nowind_noquad]=textread('Hs_evolve_nowind_noquad.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_2]=textread('Hs_evolve_2.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_dir_spread]=textread('Hs_evolve_dir_spread.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_dir_spread2]=textread('Hs_evolve_dir_spread2.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_m_30]=textread('Hs_evolve_m_30.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_m_65]=textread('Hs_evolve_m_65.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_gen2_wind0]=textread('Hs_evolve_gen2_wind0.tab',...
'%f %f %f %f ','headerlines',7);

[~,~,~,Hs_evolve_gen2_wind_off]=textread('Hs_evolve_gen2_wind_off.tab',...
'%f %f %f %f ','headerlines',7);


Tp=11.25; %NOE RART MED DENNE, FINNER DEN IKKE I OUTPUT FRA SWAN!
x_axis2=zeros(0);
for i=1:length(d)
    
    lambda=9.81/(2*pi)*Tp^2;
    
    n=0;
    while abs(lambda-(9.81/(2*pi))*Tp^2*tanh(2*pi*d(i)/lambda))>0.000001;


        lambda=(9.81/(2*pi))*Tp^2*tanh(2*pi*d(i)/lambda);

    end
  
    x_axis2(i)=d(i)/lambda;
end









figure(3)
% plot(x_axis2,Hs_evolve_no_fshift./81,'--r','DisplayName','No frequency
% shifting') %no effect
hold on


plot(x_axis2,Hs_evolve_no_refrac./81,'g','DisplayName','No refraction')
plot(x_axis2,Hs_evolve_no_break./81,'r','DisplayName','No depth induced wave breaking')
plot(x_axis2,Hs_evolve_with_setup./81,'--r','DisplayName','Setup on')
plot(x_axis2,Hs_evolve_no_wcap./81,'--g','DisplayName','No whitecapping')
plot(x_axis2,Hs_evolve./81,'DisplayName','Default')
plot(x_axis2,Hs_evolve_no_triad./81,'--b','DisplayName','No triads')
grid on
hold off
legend2 = legend('show');
set(legend2,'Location','best')
xlabel('d/\lambda_p [-]')
ylabel('H_{m0} [m]')
title('Significant wave height as function of dimensionless water depth [MODEL SCALE]')

figure(4)
hold on
plot(x_axis2,Hs_evolve_all_off./81,'DisplayName','All off')
plot(x_axis2,Hs_evolve_break_on./81,'r','DisplayName','Break on')
plot(x_axis2,Hs_evolve_friction_on./81,'g','DisplayName','Friction on')
plot(x_axis2,Hs_evolve_triad_on./81,'--b','DisplayName','Triads on')
plot(x_axis2,Hs_evolve_fshift_on./81,'--r','DisplayName','Frequency shift on') %no effect
plot(x_axis2,Hs_evolve_wcapping_on./81,'--g','DisplayName','Whitecapping on')
plot(x_axis2,Hs_evolve_refrac_on./81,'k','DisplayName','Refraction on')
plot(x_axis2,Hs_evolve_default./81,'k','DisplayName','Default')
grid on
hold off
legend2 = legend('show');
set(legend2,'Location','best')
xlabel('d/\lambda_p [-]')
ylabel('H_{m0} [m]')
title('Significant wave height as function of dimensionless water depth [MODEL SCALE]')

figure(5)
hold on
plot(x_axis2,Hs_evolve_default./81,'DisplayName','Default')
plot(x_axis2,Hs_evolve_wind_5./81,'r','DisplayName','With Wind=5')
plot(x_axis2,Hs_evolve_wind_10./81,'g','DisplayName','With Wind=10')
plot(x_axis2,Hs_evolve_wind_15./81,'--','DisplayName','With Wind=15')
plot(x_axis2,Hs_evolve_wind_20./81,'--r','DisplayName','With Wind=20')
plot(x_axis2,Hs_evolve_wind_zero./81,'--g','DisplayName','With Wind=0')
grid on
hold off
legend2 = legend('show');
set(legend2,'Location','best')
xlabel('d/\lambda_p [-]')
ylabel('H_{m0} [m]')
title('Significant wave height as function of dimensionless water depth [MODEL SCALE]')

figure(6)
hold on
plot(x_axis2,Hs_evolve_nowind_quad./81,'DisplayName','Wind=0, Quadrupl=on')
plot(x_axis2,Hs_evolve_nowind_noquad./81,'r','DisplayName','No wind, No Quadrupls')
plot(x_axis2,Hs_evolve_2./81,'g','DisplayName','Auto calc dir spread')
plot(x_axis2,Hs_evolve_dir_spread./81,'--','DisplayName','New directional spread type')
plot(x_axis2,Hs_evolve_dir_spread2./81,'r--','DisplayName','New directional spread type 2')
plot(x_axis2,Hs_evolve_m_30./81,'g--','DisplayName','Directional m=30')
plot(x_axis2,Hs_evolve_m_65./81,'k','DisplayName','Directional m=65')
legend3 = legend('show');
set(legend3,'Location','best')

figure(7)
hold on
plot(x_axis2,Hs_evolve_nowind_quad./81,'DisplayName','Wind=0, Quadrupl=on, GEN3')
plot(x_axis2,Hs_evolve_gen2_wind0./81,'r','DisplayName','Wind=0, Gen2')
plot(x_axis2,Hs_evolve_gen2_wind_off./81,'r','DisplayName','Wind off, Gen2')
legend3 = legend('show');
set(legend3,'Location','best')
