clear all
clc
format long

c_w1=15.2768;       %T=16.28s
c_w2=13.6911;

D=6;
rho=1025;

crest_H1=9.894;
crest_H2=9.025;

d=20.69;
lambda=0.46;

F1=2*pi*rho*(D/2)*c_w1^2*lambda*crest_H1;
F2=2*pi*rho*(D/2)*c_w2^2*lambda*crest_H2;

str=['F1=',num2str(F1/10^6),' [MN]'];

strr=['F2=',num2str(F2/10^6),' [MN]'];

disp(str)
disp(strr)

M1=F1*(crest_H1+d-(0.5*lambda*crest_H1));
M2=F2*(crest_H2+d-(0.5*lambda*crest_H2));


str2=['M1=',num2str(M1/10^6),' [MNm]'];
strr2=['M2=',num2str(M2/10^6),' [MNm]'];


disp(str2)
disp(strr2)


duration=13*D/(64*c_w2)

DLF=2*pi*(duration/3.5)


EQ_FORCE=DLF*F2

EQ_MOMENT=DLF*F2*(crest_H2+d-(0.5*lambda*crest_H2))