clc

format short


clear all



for runs=1:3
clearvars -except WP_vect x_axis Hs_evolve spec_start spec_end Hs_start_full Hs_end_full Hs_start_model Hs_end_model runs SPEC_1 SPEC_2 SPEC_3 SPEC_4 SPEC_5 SPEC_6 F1 F2 F3 F4 F5 F6
    
str3=['Runs\',num2str(runs),'\Hs_evolve.tab'];

[~,~,d,Hs_evol]=textread(str3,...
'%f %f %f %f ','headerlines',7);

Hs_evolve(:,runs)=Hs_evol;

[ Hs1,Hs2,Hs1_mod,Hs2_mod,f1,spec1,f2,spec2 ] = spec_from_file( runs );

spec_start(:,runs)=spec1;
spec_end(:,runs)=spec2;

% if runs==1
%     SPEC_1=spec1;
%     F1=f1;
% elseif runs==2
%     SPEC_2=spec1;
%     F2=f1;
% elseif runs==3
%     SPEC_3=spec1;
%     F3=f1;
% % elseif runs==4
% %     SPEC_4=spec1;
% %     F4=f1;
% % elseif runs==5
% %     SPEC_5=spec1;
% %     F5=f1;
% % elseif runs==6
% %     SPEC_6=spec1;
% %     F6=f1;
% end



Hs_start_full(runs)=Hs1;
Hs_end_full(runs)=Hs2;
Hs_start_model(runs)=Hs1_mod;
Hs_end_model(runs)=Hs2_mod;




Hs_start_full(runs)=Hs1;
Hs_end_full(runs)=Hs2;
Hs_start_model(runs)=Hs1_mod;
Hs_end_model(runs)=Hs2_mod;


end

Tp=11.25; %NOE RART MED DENNE, FINNER DEN IKKE I OUTPUT FRA SWAN!
x_axis2=zeros(0);
for i=1:length(d)
    
    lambda=9.81/(2*pi)*Tp^2;
    
    n=0;
    while abs(lambda-(9.81/(2*pi))*Tp^2*tanh(2*pi*d(i)/lambda))>0.000001;


        lambda=(9.81/(2*pi))*Tp^2*tanh(2*pi*d(i)/lambda);

    end
  
    x_axis2(i)=d(i)/lambda;
end

tp=11.25;
fp=1/tp;

f_1=0.054:0.001:fp;
f_2=fp:0.001:1;

hs=10.5138;

S1=0.2*hs^2*tp*((1+1.1*(log(3.3)).^1.19)/3.3).*((f_1./fp).^-4).*exp(-(f_1./fp).^-4).*3.3.^(exp(-0.5.*((f_1-fp)./(fp.*0.07)).^2));
S2=0.2*hs^2*tp*((1+1.1*(log(3.3)).^1.19)/3.3).*((f_2./fp).^-4).*exp(-(f_2./fp).^-4).*3.3.^(exp(-0.5.*((f_2-fp)./(fp.*0.09)).^2));

S3=0.3125*hs^2*tp*((f_1./fp).^(-5)).*exp(-1.25.*((f_1./fp).^-4)).*(1-0.287.*log(3.3)).*3.3.^(exp(-0.5.*((f_1-fp)./(fp.*0.07)).^2));
S4=0.3125*hs^2*tp*((f_2./fp).^(-5)).*exp(-1.25.*((f_2./fp).^-4)).*(1-0.287.*log(3.3)).*3.3.^(exp(-0.5.*((f_2-fp)./(fp.*0.09)).^2));

S_tot=[S1 S2];
S_tot2=[S3 S4];
f_tot=[f_1 f_2];

% figure(70)
% plot(f_tot,S_tot,'displayname','\omega^{-4}')
% hold on
% plot(f_tot,S_tot2,'r','displayname','\omega^{-5}')
% xlim([0 0.35])
% test=legend('show')
% set(test,'Location','best')
% % 
% figure(1)
% % plot(f2,spec_end(:,2),f2,spec_end(:,4),f2,spec_end(:,1))
% % plot(f2,spec_end(:,2),f2,spec_end(:,4),f2,spec_end(:,1))
% plot(f2,spec_end(:,2))
% test2=legend('No surf breaking','No triads','Default')
% set(test2,'Location','best')
% xlim([0 0.35])
% % test=legend('No surf breaking','No triads','Default')
% % set(test,'Location','best')
% xlabel('Frequenzy [Hz]')
% ylabel('Spectral density [m^{2}s]')
% title('Wave spectrum at 19m water depth (\lambda/d=0.1384) (Jonswap input spectrum)')
% 
% 
% figure(2)
% plot(x_axis2,Hs_evolve(:,2),x_axis2,Hs_evolve(:,3),x_axis2,Hs_evolve(:,4),x_axis2,Hs_evolve(:,6),x_axis2,Hs_evolve(:,7),x_axis2,Hs_evolve(:,1))
% test2=legend('No surf breaking','No bottom friction','No triads','No whitecapping','No refraction','Default')
% set(test2,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('Significant wave height as function of dimensionless water depth (Jonswap input spectrum)')


% figure(1)
% plot(f1,spec_start)
% xlim([0 0.35])
% hold on
% plot(f_tot,S_tot,'r')

% % test=legend('1 = No wind specified','2 = Wind:0 m/s','3 = Wind:5 m/s','3 = Wind:10 m/s','5 = Wind:15 m/s','6 = Wind:20 m/s','7 = Wind:25 m/s')
% % set(test,'Location','best')
% test=legend('1 = Measured input spectrum','2 = Jonswap \omega^{-5}','3 = Jonswap \omega^{-4}')
% set(test,'Location','best')
% xlabel('Frequency [Hz]')
% ylabel('Spectral Density [m^{2}s]')
% title('Input spec [FULL SCALE]')

% figure(2)
% plot(f2,spec_end)
% xlim([0 0.35])
% % test=legend('1 = No wind specified','2 = Wind:0 m/s','3 = Wind:5 m/s','3 = Wind:10 m/s','5 = Wind:15 m/s','6 = Wind:20 m/s','7 = Wind:25 m/s')
% % set(test,'Location','best')
% test=legend('1 = From measured input spectrum','2 = From Jonswap \omega^{-5}')
% set(test,'Location','best')
% xlabel('Frequency [Hz]')
% ylabel('Spectral Density [m^{2}s]')
% title('Output spec [FULL SCALE]')
% 
% figure(2)
% plot(f2,spec_start)
% test=legend('1 = JONSWAP','2 = Mean measured spectrum')
% set(test,'Location','best')
% xlabel('Hz')
% ylabel('m^{2}s')
% xlim([0.05 0.35])
% title('Parametric JONSWAP spectrum compared to mean measured spectrum at d=67.23m')
% 
% 
% figure(3)
% plot(x_axis2,Hs_evolve)
% test=legend('1 = JONSWAP','2 = Mean measured spectrum')
% set(test,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')


% figure(3)
% plot(x_axis2,Hs_evolve)
% test=legend('1 = Long crested (JONSWAP input spectrum)','2 = Short crested (Quadruplets on)', '3 = Short crested (Quadruplets off)')
% set(test,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('H_{m0}: long crested test case and short crested test case with quadruplets on/off')


% 
% figure(2)
% plot(x_axis2,Hs_evolve(:,1:2))
% test2=legend('1 = No wind specified','2 = Wind:0 m/s')
% set(test2,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('Significant wave height as function of dimensionless water depth [FULL SCALE]')
% 
% 
% figure(3)
% plot(x_axis2,Hs_evolve(:,3:6))
% test2=legend('1 = Wind:5 m/s','2 = Wind:10 m/s','3 = Wind:15 m/s','4 = Wind:20 m/s')
% set(test2,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('Significant wave height as function of dimensionless water depth [FULL SCALE]')
% 
% figure(4)
% plot(x_axis2,Hs_evolve(:,7:10))
% test3=legend('1 = Wind:-20 m/s','2 = Wind:-15 m/s','3 = Wind:-10 m/s','4 = Wind:-5 m/s')
% set(test3,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('Significant wave height as function of dimensionless water depth [FULL SCALE]')


% 
% figure(1)
% plot(f2,spec_end)
% xlim([0 0.35])
% test=legend('1: m=2','2: m=3','3: m=5','4: m=10','5: m=30','6: m=65')
% set(test,'Location','best')
% xlabel('Frequenzy [Hz]')
% ylabel('Spectral density [m^{2}s]')
% title('Wave spectrum at 15m water depth (Jonswap input spectrum). Constant wind=10 m/s')
% 

figure(2)
plot(x_axis2,Hs_evolve)
test2=legend('m=2 (Short crested)','m=3','m=5','m=10','m=30','m=65 (Approx. long crested)')
set(test2,'Location','best')
xlabel('d/\lambda_p [-]')
ylabel('H_{m0} [m]')
title('H_{m0}(d/\lambda_p) - Effect of spreading coefficient n - Quadruplets on')
ylim([8.5 11])

% figure(3)
% plot(x_axis2,Hs_evolve)
% test2=legend('m=2 (Short crested)','m=3','m=5','m=10','m=30','m=65 (Approx. long crested)')
% set(test2,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('H_{m0}(d/\lambda_p) - Effect of spreading coefficient n - Quadruplets off')
% ylim([8.5 11])



% figure(1)
% plot(f2,spec_end)
% xlim([0 0.35])
% test=legend('Wind=0 m/s','Wind=17 m/s','Wind=20 m/s','Wind=35 m/s','Wind=30 m/s','Wind=35 m/s');
% set(test,'Location','best')
% xlabel('Frequenzy [Hz]')
% ylabel('Spectral density [m^{2}s]')
% title('Wave spectrum at 15m water depth (Jonswap input spectrum). m=2 ')


% figure(2)
% plot(x_axis2,Hs_evolve)
% test2=legend('Wind=0 m/s','Wind=17 m/s','Wind=20 m/s','Wind=25 m/s','Wind=30 m/s','Wind=35 m/s');
% set(test2,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('Significant wave height as function of dimensionless water depth - Effect of swind speed')



% figure(1)
% plot(f2,spec_end)
% xlim([0 0.35])
% test=legend('1: Wind=0 m/s Quads=ON','2: Wind=OFF Quads=ON');
% set(test,'Location','best')
% xlabel('Frequenzy [Hz]')
% ylabel('Spectral density [m^{2}s]')
% title('Wave spectrum at 15m water depth (Jonswap input spectrum). m=2 ')
% hold on
% 
% 
% figure(2)
% plot(x_axis2,Hs_evolve)
% test2=legend('1: Quads=ON','2: Quads=OFF');
% set(test2,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('Significant wave height (Jonswap input spectrum) - Effect of Quadruplets. Sprea. coef. m=2')
% hold on


% figure(2)
% plot(x_axis2,Hs_evolve)
% test2=legend('dx=197 dy=200','dx=98 dy=98','dx=49 dy=50','dx=20 dy=20','dx=10 dy=10','dx=5 dy=5','dx=3 dy=3');
% set(test2,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('H_{m0}, short crested waves (n=2) - Effect of Grid density.')
% hold on


% figure(2)
% plot(x_axis2,Hs_evolve)
% test2=legend('1:S(f) - Jonswap, no energy redistributed','2: S(f)+Q_{1}(f)','3: S(f)+Q_{2}(f)','4: S(f)+Q_{3}(f)');
% set(test2,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('Effect of energy redistribution in inputspectrum. Short crested (m=2). Q_{1}<Q_{2}<Q_{3}')
% hold on


% figure(2)
% plot(x_axis2,Hs_evolve)
% test2=legend('dx=98.37 [m]','dx=81 [m]','dx=59.9 [m]','dx=40.5 [m]','dx=20 [m]','dx=10 [m]');
% set(test2,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('Hs, long crested waves - Effect of grid density')
% hold on


% figure(2)
% plot(x_axis2,Hs_evolve)
% test2=legend('100','Auto');
% set(test2,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('Hs, long crested waves - Effect of grid density')
% hold on

% figure(1)
% plot(x_axis2,Hs_evolve)
% test2=legend('Number of frequencies=5','Number of frequencies=10','Number of frequencies=15','Number of frequencies=30','Number of frequencies=60','Number of frequencies=200');
% set(test2,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('Hs, long crested waves - Effect of frequency density')
% hold on
% 
% 
% figure(2)
% hold on
% plot(F1,SPEC_1,'displayname','Number of frequencies=5')
% plot(F2,SPEC_2,'r','displayname','Number of frequencies=10')
% plot(F3,SPEC_3,'g','displayname','Number of frequencies=15')
% plot(F4,SPEC_4,'m','displayname','Number of frequencies=30')
% plot(F5,SPEC_5,'c','displayname','Number of frequencies=60')
% plot(F6,SPEC_6,'y','displayname','Number of frequencies=200')
% legend('show')
% xlabel('Frequency [Hz]')
% ylabel('m^{2}s')
% title('Wave spectrums - Effect of frequency density')
% xlim([0.054 0.35])

% figure(1)
% plot(F1,SPEC_1,F2,SPEC_2,F3,SPEC_3,F4,SPEC_4,F5,SPEC_5)
% test2=legend('0.25','0.5','0.7','1.0','1.5')
% set(test2,'Location','best')
% xlim([0 0.35])
% xlabel('Frequenzy [Hz]')
% ylabel('Spectral density [m^{2}s]')
% title('Wave spectrum at 19m water depth (\lambda/d=0.1384) (Jonswap input spectrum)')
% 
% 
% figure(2)
% plot(x_axis2,Hs_evolve)
% test2=legend('0.25','0.5','0.7','1.0','1.5')
% set(test2,'Location','best')
% xlabel('d/\lambda_p [-]')
% ylabel('H_{m0} [m]')
% title('Significant wave height as function of dimensionless water depth (Jonswap input spectrum)')

figure(1)
plot(d,Hs_evolve)
